Package io.vertx.mqtt.messages.codes

## Enum MqttDisconnectReasonCode

- java.lang.Object
- - java.lang.Enum<MqttDisconnectReasonCode>
  - - io.vertx.mqtt.messages.codes.MqttDisconnectReasonCode

- All Implemented Interfaces:
    `MqttReasonCode`, `Serializable`, `Comparable<MqttDisconnectReasonCode>`

      public enum MqttDisconnectReasonCode
      extends Enum<MqttDisconnectReasonCode>
      implements MqttReasonCode

  Reason codes for DISCONNECT MQTT message

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ADMINISTRATIVE_ACTION` |
    `CONNECTION_RATE_EXCEEDED` |
    `IMPLEMENTATION_SPECIFIC_ERROR` |
    `KEEP_ALIVE_TIMEOUT` |
    `MALFORMED_PACKET` |
    `MAXIMUM_CONNECT_TIME` |
    `MESSAGE_RATE_TOO_HIGH` |
    `NORMAL` |
    `NOT_AUTHORIZED` |
    `PACKET_TOO_LARGE` |
    `PAYLOAD_FORMAT_INVALID` |
    `PROTOCOL_ERROR` |
    `QOS_NOT_SUPPORTED` |
    `QUOTA_EXCEEDED` |
    `RECEIVE_MAXIMUM_EXCEEDED` |
    `RETAIN_NOT_SUPPORTED` |
    `SERVER_BUSY` |
    `SERVER_MOVED` |
    `SERVER_SHUTTING_DOWN` |
    `SESSION_TAKEN_OVER` |
    `SHARED_SUBSCRIPTIONS_NOT_SUPPORTED` |
    `SUBSCRIPTION_IDENTIFIERS_NOT_SUPPORTED` |
    `TOPIC_ALIAS_INVALID` |
    `TOPIC_FILTER_INVALID` |
    `TOPIC_NAME_INVALID` |
    `UNSPECIFIED_ERROR` |
    `USE_ANOTHER_SERVER` |
    `WILDCARD_SUBSCRIPTIONS_NOT_SUPPORTED` |
    `WITH_WILL_MESSAGE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte` | `value()` |
    `static MqttDisconnectReasonCode` | `valueOf​(byte b)` | Returns the enum constant of this type with the specified name.
    `static MqttDisconnectReasonCode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static MqttDisconnectReasonCode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.mqtt.messages.codes.MqttReasonCode

      `isError`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final MqttDisconnectReasonCode NORMAL

    - #### WITH_WILL_MESSAGE

          public static final MqttDisconnectReasonCode WITH_WILL_MESSAGE

    - #### UNSPECIFIED_ERROR

          public static final MqttDisconnectReasonCode UNSPECIFIED_ERROR

    - #### MALFORMED_PACKET

          public static final MqttDisconnectReasonCode MALFORMED_PACKET

    - #### PROTOCOL_ERROR

          public static final MqttDisconnectReasonCode PROTOCOL_ERROR

    - #### IMPLEMENTATION_SPECIFIC_ERROR

          public static final MqttDisconnectReasonCode IMPLEMENTATION_SPECIFIC_ERROR

    - #### NOT_AUTHORIZED

          public static final MqttDisconnectReasonCode NOT_AUTHORIZED

    - #### SERVER_BUSY

          public static final MqttDisconnectReasonCode SERVER_BUSY

    - #### SERVER_SHUTTING_DOWN

          public static final MqttDisconnectReasonCode SERVER_SHUTTING_DOWN

    - #### KEEP_ALIVE_TIMEOUT

          public static final MqttDisconnectReasonCode KEEP_ALIVE_TIMEOUT

    - #### SESSION_TAKEN_OVER

          public static final MqttDisconnectReasonCode SESSION_TAKEN_OVER

    - #### TOPIC_FILTER_INVALID

          public static final MqttDisconnectReasonCode TOPIC_FILTER_INVALID

    - #### TOPIC_NAME_INVALID

          public static final MqttDisconnectReasonCode TOPIC_NAME_INVALID

    - #### RECEIVE_MAXIMUM_EXCEEDED

          public static final MqttDisconnectReasonCode RECEIVE_MAXIMUM_EXCEEDED

    - #### TOPIC_ALIAS_INVALID

          public static final MqttDisconnectReasonCode TOPIC_ALIAS_INVALID

    - #### PACKET_TOO_LARGE

          public static final MqttDisconnectReasonCode PACKET_TOO_LARGE

    - #### MESSAGE_RATE_TOO_HIGH

          public static final MqttDisconnectReasonCode MESSAGE_RATE_TOO_HIGH

    - #### QUOTA_EXCEEDED

          public static final MqttDisconnectReasonCode QUOTA_EXCEEDED

    - #### ADMINISTRATIVE_ACTION

          public static final MqttDisconnectReasonCode ADMINISTRATIVE_ACTION

    - #### PAYLOAD_FORMAT_INVALID

          public static final MqttDisconnectReasonCode PAYLOAD_FORMAT_INVALID

    - #### RETAIN_NOT_SUPPORTED

          public static final MqttDisconnectReasonCode RETAIN_NOT_SUPPORTED

    - #### QOS_NOT_SUPPORTED

          public static final MqttDisconnectReasonCode QOS_NOT_SUPPORTED

    - #### USE_ANOTHER_SERVER

          public static final MqttDisconnectReasonCode USE_ANOTHER_SERVER

    - #### SERVER_MOVED

          public static final MqttDisconnectReasonCode SERVER_MOVED

    - #### SHARED_SUBSCRIPTIONS_NOT_SUPPORTED

          public static final MqttDisconnectReasonCode SHARED_SUBSCRIPTIONS_NOT_SUPPORTED

    - #### CONNECTION_RATE_EXCEEDED

          public static final MqttDisconnectReasonCode CONNECTION_RATE_EXCEEDED

    - #### MAXIMUM_CONNECT_TIME

          public static final MqttDisconnectReasonCode MAXIMUM_CONNECT_TIME

    - #### SUBSCRIPTION_IDENTIFIERS_NOT_SUPPORTED

          public static final MqttDisconnectReasonCode SUBSCRIPTION_IDENTIFIERS_NOT_SUPPORTED

    - #### WILDCARD_SUBSCRIPTIONS_NOT_SUPPORTED

          public static final MqttDisconnectReasonCode WILDCARD_SUBSCRIPTIONS_NOT_SUPPORTED

  - ### Method Detail

    - #### values

          public static MqttDisconnectReasonCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MqttDisconnectReasonCode c : MqttDisconnectReasonCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MqttDisconnectReasonCode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public byte value()

      Specified by:
        `value` in interface `MqttReasonCode`

    - #### valueOf

          public static MqttDisconnectReasonCode valueOf​(byte b)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `b` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null